summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-02-18 04:21:45 +0100
committerMichał Górny <mgorny@gentoo.org>2026-02-18 04:52:41 +0100
commitc3cde33c5e47ced3ec105cce59a3b232f0daeca0 (patch)
treee8f532e8d7aadb71166765e76e1f3cf2eeb3fead /dev-python
parent53237a951a8464f6db54f75c584d0a79bcffc5c3 (diff)
downloadgentoo-c3cde33c5e47ced3ec105cce59a3b232f0daeca0.tar.gz
gentoo-c3cde33c5e47ced3ec105cce59a3b232f0daeca0.tar.bz2
gentoo-c3cde33c5e47ced3ec105cce59a3b232f0daeca0.zip
dev-python/testtools: Bump to 2.8.3
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/testtools/Manifest1
-rw-r--r--dev-python/testtools/testtools-2.8.3.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/testtools/Manifest b/dev-python/testtools/Manifest
index feab190a291a..3391ab461a44 100644
--- a/dev-python/testtools/Manifest
+++ b/dev-python/testtools/Manifest
@@ -1,2 +1,3 @@
DIST testtools-2.7.2.tar.gz 201430 BLAKE2B d827d8e66c85908f4d16aa0762c3b0a454d374a0d23323fc3c123027f55f0e85f4fea9a24b5d1d0279266af2185f08abbcbbdcb785014b237df45a6448587611 SHA512 5815519d2b72d6b1e9f453c02793c70eb7d3b6580a211fb3708cd6121aed3c6100ceb1e35321f481a63b1f999ede030e43f1ae91d3621faf461c1908db767551
DIST testtools-2.8.2.tar.gz 206889 BLAKE2B 4c25e88d5602c00ab9079d5ef504648cf7f59ae63d8844d5bdbac2b215db64234925ee9ce89532ca71d681031fa4d656e1c60413f731aa135791b43edbbd6015 SHA512 2880b5e8c92e59e3d9cad7b6b64781763a549abf74672a46f0b3a33300793d91ea8453fc364d497ae7492095385309e6b150a712fea4529324cf4673b6e60aa7
+DIST testtools-2.8.3.tar.gz 215317 BLAKE2B b3247497a492ab2c89e90dd30e2154797bed9a48b43f12a4b28bdd76cf8ee07d38f877f5e3407adc24c9f83473a873a2099aaf450f25fcaf734b0af88e3841fe SHA512 3f91f638d04e7e0d2c5a5723a8ed19e49aaefc7c31cb9db789d97dbc8ff8fdfdc6f924a02c412730451aaae78f7eb1e3ccb80acd9ad87048c9b8fea24b6a3e58
diff --git a/dev-python/testtools/testtools-2.8.3.ebuild b/dev-python/testtools/testtools-2.8.3.ebuild
new file mode 100644
index 000000000000..eb83088a6113
--- /dev/null
+++ b/dev-python/testtools/testtools-2.8.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensions to the Python standard library unit testing framework"
+HOMEPAGE="
+ https://github.com/testing-cabal/testtools/
+ https://pypi.org/project/testtools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/fixtures-2.0.0[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ dev-python/testresources[${PYTHON_USEDEP}]
+ dev-python/twisted[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx doc
+
+python_test() {
+ if ! has_version "dev-python/twisted[${PYTHON_USEDEP}]"; then
+ sed -i -e '/twistedsupport/d' tests/test_suite.py || die
+ fi
+
+ "${EPYTHON}" -m testtools.run tests.test_suite ||
+ die "tests failed under ${EPYTHON}"
+}